Summary: A basic system library for accessing the termcap database.
Name: libtermcap
Version: 2.0.8
Release: 1.0.3
Source: ftp://metalab.unc.edu/pub/Linux/GCC/termcap-2.0.8.tar.gz
Url: ftp://metalab.unc.edu/pub/Linux/GCC/
Copyright: LGPL
Group: System Environment/Libraries
Patch0: termcap-2.0.8-shared.patch
Patch1: termcap-2.0.8-setuid.patch
Patch2: termcap-2.0.8-instnoroot.patch
Patch3: termcap-2.0.8-compat21.patch
Patch4: termcap-2.0.8-xref.patch
Patch5: termcap-2.0.8-fix-tc.patch
Patch6: termcap-2.0.8-ignore-p.patch
Patch7: termcap-buffer.patch
# This patch is a REALLY BAD IDEA without patch #10 below....
Patch8: termcap-2.0.8-bufsize.patch
Patch9: termcap-2.0.8-colon.patch
Patch10: libtermcap-aaargh.patch
Requires: /etc/termcap
BuildPrereq: texinfo
BuildRoot: /var/tmp/%{name}-root

%description
The libtermcap package contains a basic system library needed to
access the termcap database.  The termcap library supports easy access
to the termcap database, so that programs can output character-based
displays in a terminal-independent manner.

%package devel
Summary: Development tools for the termcap database.
Group: Development/Libraries
Requires: libtermcap

%description devel
This package includes the libraries and header files necessary for
developing programs which will access the termcap database.

If you need to develop programs which will access the termcap database,
you'll need to install this package.  You'll also need to install the
libtermcap package.

%prep
%setup -q -n termcap-2.0.8
%patch0 -p1
%patch1 -p1
%patch2 -p1 -b .nochown
%patch3 -p1 -b .compat21
%patch4 -p1
%patch5 -p1 -b .fix-tc
%patch6 -p1 -b .ignore-p
%patch7 -p1 -b .buffer
%patch8 -p1 -b .bufsize
%patch9 -p1 -b .colon
%patch10 -p1 -b .aaargh

%build
make CFLAGS="$RPM_OPT_FLAGS -I."

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{usr/lib,usr/info,usr/include,etc,lib}

export PATH=/sbin:$PATH
make prefix=$RPM_BUILD_ROOT/usr install

install -c -m644 termcap.src $RPM_BUILD_ROOT/etc/termcap
mkdir -p $RPM_BUILD_ROOT/%{_infodir}
cp termcap.info* $RPM_BUILD_ROOT%{_infodir}

( cd $RPM_BUILD_ROOT
  rm -f ./etc/termcap
  mv ./usr/lib/libtermcap.so* ./lib
  ln -sf libtermcap.so.2.0.8 ./lib/libtermcap.so
  ln -sf /lib/libtermcap.so.2.0.8 ./usr/lib/libtermcap.so
  strip -R .comments --strip-unneeded ./lib/libtermcap.so.2.0.8
  gzip -9nf .%{_infodir}/termcap.info*
  chmod 644 .%{_infodir}/termcap.info*
)

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%trigger -- info >= 3.12
if [ -f %{_infodir}/usr/share/termcap.info.gz ]; then
/sbin/install-info \
	--section="Libraries" --entry="* Termcap: (termcap).               The GNU termcap library." \
	--info-dir=%{_infodir} %{_infodir}/termcap.info.gz
fi

%postun
if [ $1 = 0 ]; then
	if [ -f %{_infodir}/usr/share/termcap.info.gz ]; then
    		/sbin/install-info --delete \
			--section="Libraries" --entry="* Termcap: (termcap). The GNU termcap library." \
		--info-dir=%{_infodir} %{_infodir}/termcap.info.gz
	fi
	/sbin/ldconfig
fi

%files
%defattr(-,root,root)
%doc %{_infodir}/termcap.info*
/lib/libtermcap.so.2.0.8

%files devel
%defattr(-,root,root)
/usr/lib/libtermcap.a
/usr/lib/libtermcap.so
/usr/include/termcap.h


%changelog
* Sun Dec 03 2000 Dave Wreski <dave@guardiandigital.com>
- fixed devel package
- fixed install-info

* Sun Nov 19 2000 Dave Wreski <dave@guardiandigital.com>
- FHS fixes

* Fri Jul 14 2000 Pete O'Hara <pete@guardiandigital.com>
- initial version from RH
